### Method

# Gio FileInfo get_attribute_data

#### Declaration [src]

    gboolean
    g_file_info_get_attribute_data (
      GFileInfo* info,
      const char* attribute,
      GFileAttributeType* type,
      gpointer* value_pp,
      GFileAttributeStatus* status
    )

#### Description [src]

Gets the attribute type, value and status for an attribute key.

#### Parameters

`attribute`

  Type: `const char*`

  A file attribute key.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`type`

  Type: `GFileAttributeType`

  Return location for the attribute type, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`value_pp`

  Type: `gpointer*`

  Return location for the attribute value, or `NULL`; the attribute value will not be `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.

`status`

  Type: `GFileAttributeStatus`

  Return location for the attribute status, or `NULL`.

  The argument will be set by the function.
  The argument can be `NULL`.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if `info` has an attribute named `attribute`, `FALSE` otherwise.